Page MenuHomePhabricator

Users can be blocked with an expiry time in the past
Closed, ResolvedPublic

Description

This confuses sysops blocking a user sometimes:
The sysop blocks a user, but sometimes write the wrong year, if he chooses a custom expiry time with the exact date, and then there is the problem: The sysop thinks, that he blocked the users, but the user is not blocked, so the user can go on vadalising. If you protect pages, this is not possible, you get: "Expiry time is in the past.".

Event Timeline

Luke081515 updated the task description. (Show Details)
Luke081515 raised the priority of this task from to Needs Triage.
Luke081515 added a subscriber: Luke081515.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 7 2016, 4:07 PM
Luke081515 renamed this task from Users can be blocked with a expiry time in the past. to Users can be blocked with a expiry time in the past.Jan 7 2016, 4:08 PM
Luke081515 set Security to None.
Florian renamed this task from Users can be blocked with a expiry time in the past to Users can be blocked with an expiry time in the past.Jan 7 2016, 4:10 PM
Florian triaged this task as Normal priority.
Florian added a subscriber: Florian.
Florian claimed this task.Jan 7 2016, 4:13 PM

Change 262906 had a related patch set uploaded (by Florianschmidtwelzow):
Special:Block: Disallow to add an expiry time in the past

https://gerrit.wikimedia.org/r/262906

Umherirrender closed this task as Resolved.Jan 14 2016, 1:40 PM

Change 262906 merged by jenkins-bot:
Special:Block: Disallow to add an expiry time in the past

https://gerrit.wikimedia.org/r/262906